Search Unity

Question Both Unity Hub and Manual Installations of Editor Causing Problems

Discussion in 'Unity Hub' started by simonenderb, Feb 6, 2024.

  1. simonenderb

    simonenderb

    Joined:
    Feb 5, 2024
    Posts:
    1
    Apologies if this is not the place to receive help for something like this, but I've been struggling with these issues all day and really can't find any help.

    I downloaded the Unity Hub for the first time this morning (Version 3.7.0) and started by trying to install Editor Version 2022.3.19f1. The install repeatedly failed with the following error, and this was the case for every version I tried to install since, and persists even up to this point:
    upload_2024-2-5_20-17-26.png

    After a few hours of trying to troubleshoot it (disabling firewalls / AV, doing full uninstalls and reinstalls, running in Admin, etc), I discovered I could manually download Editor Versions, and put them into Unity Hub. This worked and I began to create a new project. (I also switched to Editor Version 2022.3.16f1 after a recommendation from a friend assisting me) Once it got about halfway through compiling packages, I received the following error:
    upload_2024-2-5_20-9-8.png
    (One thing to note is that it would never make it past 34 packages added.)

    This popup gave me the option to retry, which would restart the process, but then be interrupted by another popup:
    upload_2024-2-5_20-5-48.png

    Clicking "Continue" would result in the process restarting, and once again returning the Package Error.

    While I can get to the Editor by clicking "Continue" on the Package Error, I obviously can't do much since I'm missing half the required packages. While troubleshooting these issues, I tried several popular methods online as well, but to no avail.

    Honestly at this point I'm stuck, and I'm close to just giving up on it. I have absolutely no idea what else I can do without doing an OS wipe, which I really don't want to do just to try out a new Game Design platform. I would like to figure out atleast the solution to the package problem, but any help with either issue would be greatly appreciated!